package org.coderu.adapters.junit.utils;

import static org.coderu.common.utils.CollectionUtils.*;

import java.util.Collection;

import org.coderu.core.api.CompileUnit;
import org.coderu.core.api.Packagge;

import com.google.common.base.Function;


public final class String2TypeUtils {

    public static Collection<CompileUnit> toCompileUnit(final Collection<Class<?>> unit) {
    
        return transform(unit,CompileUnitFactory.CLASS_2_COMPILE_UNIT);
    }

    public static Collection<Packagge> toPackages(Collection<String> list) {
    
        return transform(list, String2TypeUtils.STRING_2_PACKAGE_ID);
    }

    public static final Function<String,Packagge> STRING_2_PACKAGE_ID = 
            new Function<String, Packagge>() {
        
        public Packagge apply(String o) {
            return new Packagge(o);
        }
    };

}
